<template>
<div class="rounded h-full flex justify-center items-center">
  <div class="rounded bg-white shadow-md h-48 w-48 p-6 flex flex-col justify-around">
    <div>
      <p class="text-base text-gray-600">{{username}}</p>
    </div>
    <div>
      <p class="text-2xl text-gray-700 font-bold">{{amount}}</p>
    </div>
    <div class="text-sm">
      <p class="text-green-500 mb-1 flex item-center">
        <i class="material-icons">

</i> + {{getRandomDaily()}}
      
      </p>
      <p class="text-gray-600">{{getRandomComperison()}} {{getRandomLess()}} than yesterday</p>
    </div>
  </div>
</div>
</template>

<script>
export default {
  name: "StepCard",
   props: ['username','amount'],
   methods:{
     getRandomDaily(){
      var random = Math.floor(Math.random() * (20 - 1 + 1)) + 1
        return random
     },
      getRandomComperison(){
      var random = Math.floor(Math.random() * (100 - 1 + 1)) + 1
        return random
     },
    getRandomLess(){
      var result = "more"
      var random = Math.floor(Math.random() * (10 - 1 + 1)) + 1
       if(random > 5 )
       {
         result = "less"
       }
       return result
     }
   }
}

</script>

<style>

</style>